#include <bits/stdc++.h>
#include "locmin.h"
using namespace std;

const int MAXN = 500;

long long mat[MAXN + 5][MAXN + 5];
int cnt[MAXN + 1][MAXN + 1];
int dl[] = { -1 , 0 , 1 , 0 } , dc[] = { 0 , 1 , 0 , -1 };
pair< int , int >find_locmin_point( int n , int m ) {
    int st , dr , mij;
    if( n > 1 )
         return { 1 , 1 };
    st = 1;
    dr = m;
    while( st < dr ) {
        mij = st + ( dr - st ) / 2;
        if( mat[1][mij] == 0 )
            mat[1][mij] = value( 1 , mij );
        if( mat[1][mij + 1] == 0 )
            mat[1][mij + 1] = value( 1 , mij + 1 );
        if( mat[1][mij] < mat[1][mij + 1] )
            dr = mij;
        else
            st = mij + 1;
    }
    return { 1 , st };
}

